{% extends "_base.twig" %}

{% block content %}
    <section class="center container">
        <h1>Board: /{{board}}/</h1>

        <details>
            <summary class="button is-primary">Create Post</summary>
            <form method="post" action="/api/post" enctype="multipart/form-data">
                <label>
                    Title
                    <input type="text" name="title" maxlength="100" required>
                </label>
                <label>
                    Content
                    <textarea name="body" class="input" placeholder="Click here to draft a post..." maxlength="2000" required></textarea>
                </label>
                <label>
                    Image (Optional)
                    <input type="file" name="uploaded-image" accept=".gif,.png,.jpg,.jpeg,.webp">
                </label>
                {#<label>
                    Post anonymously
                    <input type="checkbox" name="hide-author" value="true">
                </label>#}
                <input type="submit" name="post-submit" value="Post" class="button is-primary">
                <input type="hidden" name="board" value="{{board}}">
            </form>
        </details><br>
    </section>
    <article id="listing" class="container">
        {% for post in posts %}
            <div id="{{post.id}}" class="post is-primary">
                {% if post.image %}<img src="/image/{{post.image}}">{% endif %}
                <div class="content">
                    <h2><img src="https://www.gravatar.com/avatar/{{post.id}}?d=identicon" width=16 height=16> {{post.title}}</h2>
                    <p><strong>{{post.author}}</strong> on {{post.posted|date("H:i:s D d M Y")}}</p>
                    {{post.body|raw}}
                    <div class="bar" style="padding-bottom:8px;">
                        <a class="button bar-item is-secondary" href="/thread/{{post.id}}">View Thread</a>
                    </div>
                </div>
            </div>
        {% else %}
            <p class="center">This board is empty.</p>
        {% endfor %}
    </article>
    <section class="center">
        <div class="bar">
            <a href="/board/{{board}}/{{max(page - 1, 1)}}" class="bar-item button">&laquo;</a>
            <a href="/board/{{board}}/{{max(page, 1)}}" class="button">Page {{max(page, 1)}}</a>
            <a href="/board/{{board}}/{{page + 1}}" class="button">&raquo;</a>
        </div>
    </section> 
{% endblock %}